<h1 mat-dialog-title>Transaction</h1>
<div mat-dialog-content class="d-flex flex-column">
  <app-account-list *ngIf="data.action !== 'Transfer'" (selectionChanged)="onAccountChange($event)" [customer]="data.customer"></app-account-list>
  <app-account-list *ngIf="data.action === 'Transfer'" (selectionChanged)="onFromAccountChange($event)" [customer]="data.customer" label="From"></app-account-list>
  <app-account-list *ngIf="data.action === 'Transfer'" (selectionChanged)="onToAccountChange($event)" label="To"></app-account-list>
  <app-amount-input (valueChanged)="onAmountChange($event)"></app-amount-input>
  <mat-error *ngIf="hasError">{{message}}</mat-error>
  <div class="d-flex justify-content-around">
    <button mat-button (click)="onNoClick()">No Thanks</button>
    <button mat-button (click)="onPerform()">{{data.action}}</button>
  </div>
</div>
